MV(1)

NAME
mv - Move SOURCE to DEST, or multiple SOURCE(s) to DIRECTORY.

SYNOPSIS
mv [-f|--force] [-i|--interactive] [-n|--no-clobber] [--strip-trailing-slashes] [--backup] [-b ] [-S|--suffix] [--update] [-u ] [-t|--target-directory] [-T|--no-target-directory] [-v|--verbose] [-g|--progress] [-Z ] [--context] [--debug] [--exchange] [-h|--help] [-V|--version] <files>

DESCRIPTION
Move SOURCE to DEST, or multiple SOURCE(s) to DIRECTORY.

OPTIONS

-f, --force
    do not prompt before overwriting

-i, --interactive
    prompt before override

-n, --no-clobber
    do not overwrite an existing file

--strip-trailing-slashes
    remove any trailing slashes from each SOURCE argument

--backup[=<CONTROL>]
    make a backup of each existing destination file

-b  like --backup but does not accept an argument

-S, --suffix <SUFFIX>
    override the usual backup suffix

--update
    move only when the SOURCE file is newer than the destination file or when the destination file is missing Possible values:

    •   none

    •   all

    •   older

    •   none-fail

-u  like --update but does not accept an argument

-t, --target-directory <DIRECTORY>
    move all SOURCE arguments into DIRECTORY

-T, --no-target-directory
    treat DEST as a normal file

-v, --verbose
    explain what is being done

-g, --progress
    Display a progress bar. Note: this feature is not supported by GNU coreutils.

-Z  set SELinux security context of destination file to default type

--context[=<CTX>]
    like -Z, or if CTX is specified then set the SELinux security context to CTX

--debug
    explain how a file is copied. Implies -v

--exchange
    exchange source and destination (atomically swap them)

-h, --help
    Print help

-V, --version
    Print version

<files>

EXTRA
## Examples Rename a file or directory when the target is not an existing directory: mv {{path/to/source}} {{path/to/target}} Move a file or directory into an existing directory: mv {{path/to/source}} {{path/to/existing_directory}} Move multiple files into an existing directory, keeping the filenames unchanged: mv {{path/to/source1 path/to/source2 ...}} {{path/to/existing_directory}} Do not prompt for confirmation before overwriting existing files: mv {{[-f|--force]}} {{path/to/source}} {{path/to/target}} Prompt for confirmation interactively before overwriting existing files, regardless of file permissions: mv {{[-i|--interactive]}} {{path/to/source}} {{path/to/target}} Do not overwrite existing files at the target: mv {{[-n|--no-clobber]}} {{path/to/source}} {{path/to/target}} Move files in verbose mode, showing files after they are moved: mv {{[-v|--verbose]}} {{path/to/source}} {{path/to/target}} Specify target directory so that you can use external tools to gather movable files: {{find /var/log -type f -name '*.log' -print0}} | {{xargs -0}} mv {{[-t|--target-directory]}} {{path/to/target_directory}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.10.0